Qt 5.6 | Qt GUI | C++ Classes | QGenericPluginFactory

Qt 5.6.2 Reference Documentation

# QGenericPluginFactory Class

The QGenericPluginFactory class creates plugin drivers. More...

Header: | #include <QGenericPluginFactory>
qmake: | QT += gui

- List of all members, including inherited members

## Static Public Members

QObject * | create(const QString &key, const QString &specification)
QStringList | keys()

## Detailed Description

The QGenericPluginFactory class creates plugin drivers.

See also QGenericPlugin.

## Member Function Documentation

### `[static]` QObject *QGenericPluginFactory::create(const QString &key, const QString &specification)

Creates the driver specified by key, using the given specification.

Note that the keys are case-insensitive.

See also keys().

### `[static]` QStringList QGenericPluginFactory::keys()

Returns the list of valid keys, i.e. the available mouse drivers.

See also create().